## Index

### Enumerations

- AnchorPosition

### Classes

- DrawBox
- DrawBoxOptions
- DrawFaceLandmarks
- DrawFaceLandmarksOptions
- DrawTextField
- DrawTextFieldOptions

### Interfaces

- IDrawBoxOptions
- IDrawFaceLandmarksOptions
- IDrawTextFieldOptions

### Type aliases

- DrawFaceExpressionsInput
- DrawFaceLandmarksInput
- TDrawDetectionsInput

### Functions

- drawContour
- drawDetections
- drawFaceExpressions
- drawFaceLandmarks

## Type aliases

### DrawFaceExpressionsInput

DrawFaceExpressionsInput: FaceExpressions | WithFaceExpressions<{}>

- Defined in draw/drawFaceExpressions.ts:8

### DrawFaceLandmarksInput

DrawFaceLandmarksInput: FaceLandmarks | WithFaceLandmarks<WithFaceDetection<{}>>

- Defined in draw/DrawFaceLandmarks.ts:91

### TDrawDetectionsInput

TDrawDetectionsInput: IRect | IBoundingBox | FaceDetection | WithFaceDetection<{}>

- Defined in draw/drawDetections.ts:7

## Functions

### drawContour

- drawContour(ctx: CanvasRenderingContext2D, points: Point[], isClosed?: boolean): void

- - Defined in draw/drawContour.ts:3

  #### Parameters

  - ##### ctx: CanvasRenderingContext2D

  - ##### points: Point[]

  - ##### isClosed: boolean = false

  #### Returns void

### drawDetections

- drawDetections(canvasArg: string | HTMLCanvasElement, detections: TDrawDetectionsInput | TDrawDetectionsInput[]): void

- - Defined in draw/drawDetections.ts:9

  #### Parameters

  - ##### canvasArg: string | HTMLCanvasElement

  - ##### detections: TDrawDetectionsInput | TDrawDetectionsInput[]

  #### Returns void

### drawFaceExpressions

- drawFaceExpressions(canvasArg: string | HTMLCanvasElement, faceExpressions: DrawFaceExpressionsInput | DrawFaceExpressionsInput[], minConfidence?: number, textFieldAnchor?: IPoint): void

- - Defined in draw/drawFaceExpressions.ts:10

  #### Parameters

  - ##### canvasArg: string | HTMLCanvasElement

  - ##### faceExpressions: DrawFaceExpressionsInput | DrawFaceExpressionsInput[]

  - ##### minConfidence: number = 0.1

  - ##### Optional textFieldAnchor: IPoint

  #### Returns void

### drawFaceLandmarks

- drawFaceLandmarks(canvasArg: string | HTMLCanvasElement, faceLandmarks: DrawFaceLandmarksInput | DrawFaceLandmarksInput[]): void

- - Defined in draw/DrawFaceLandmarks.ts:93

  #### Parameters

  - ##### canvasArg: string | HTMLCanvasElement

  - ##### faceLandmarks: DrawFaceLandmarksInput | DrawFaceLandmarksInput[]

  #### Returns void